<%@page contentType="text/html; charset=UTF-8"%>
<%@page import="com.csc.library.entry.HelpEntry,com.csc.library.system.*"%>
<jsp:useBean id="AS03HELP" class="com.csc.library.system.Task" scope="page" />
<%AS03HELP.setChannel(request, response);%>
<%HelpEntry screen = (HelpEntry) AS03HELP.process("HelpEntry","AS03HELP");%>
<%screen.process();
%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title></title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<link href="../CSS/TISCO.css" rel="stylesheet" type="text/css">
<script  language="JavaScript"src="../JS/SCREEN.js"></script>

<script language="javascript">setLang('<%=screen.getUProfile().get("lang")%>');</script>

<script language="JavaScript" type="text/JavaScript">
<!--
function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}


function MM_swapImgRestore() { //v3.0
  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
}

function MM_findObj(n, d) { //v4.01
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && d.getElementById) x=d.getElementById(n); return x;
}

function MM_swapImage() { //v3.0
  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}

function showHelp(page){
	window.open(page,"Help","left=150,top=150,width=700,height=500,toolbar=no,status=no,scrollbars=no");
}


function showAnswer(asgid){
	with(document.forms[0]){
		if(__type.value == '1') {
			showHelp('AS03_help_2_T.html');
		} else if(__type.value == '2'){
			showHelp('AS03_help_2_C.html');
		} else if(__type.value == '3'){
			showHelp('AS03_help_2_C.html');
		} else if(__type.value == '4'){
			showHelp('AS03_help_2_C.html');
		}
	}
}

//-->
</script>


</head>
<body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<form name="cscform" method="post" action="#">


<!----------BEGIN CSC INITIAL ZONE ------------------------>

<%=screen.InitialVariable()%>

<!----------END CSC INITIAL ZONE -------------------------->

<input type="hidden" name="__cmd" value="">
<input type="hidden" name="__help" value="">
<input type="hidden" name="__pageCall" value="<%=request.getParameter("__screen")%>">
<input type="hidden" name="__language" value ="<%=screen.getUProfile().get("lang")%>">
  <div align="center">
    <table class="inframe" width="100%" border="0" cellpadding="1" cellspacing="1" bgcolor="#666666">
      <tr>
        <td class="title1" width="79"><div align="center"><strong>เลือก</strong></div></td>
        <td class="title1" width="108"><div align="center"><strong>รหัส</strong></div></td>
        <td class="title1" width="692"><div align="center"><strong>รายละเอียด</strong></div></td>
        <td class="title1" width="127"><div align="center"><strong>หัวข้อประเมิน</strong></div></td>
      </tr>
					<%
					while(screen.nextRec()){
					%>
      <tr>
        <td><div align="center">
            <input type="checkbox" name="checkbox" value="checkbox">
          </div></td>
        <td><div align="center"><%=screen.getString("asgid")%></div></td>
        <td><%=screen.getString("asgdesc")%></td>
        <td><div align="center">
            <input type="button" name="Button" value="..." onClick="showAnswer('<%=screen.getString("asgid")%>');">
          </div></td>
      </tr>
	  <%}%>
    </table>
  </div>
</form>
</body>
</html>
